test_gns_at_lookup.sh 1.4 KB

12345678910111213141516171819202122232425262728293031323334353637383940
  1. #!/bin/sh
  2. # This file is in the public domain.
  3. trap "gnunet-arm -e -c test_gns_lookup.conf" INT
  4. LOCATION=$(which gnunet-config)
  5. if [ -z $LOCATION ]
  6. then
  7. LOCATION="gnunet-config"
  8. fi
  9. $LOCATION --version 1> /dev/null
  10. if test $? != 0
  11. then
  12. echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
  13. exit 77
  14. fi
  15. which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 5"
  16. rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
  17. TEST_IP="127.0.0.1"
  18. MY_EGO="myego"
  19. gnunet-arm -s -c test_gns_lookup.conf
  20. gnunet-identity -C delegatedego -c test_gns_lookup.conf
  21. DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep delegatedego | awk '{print $3}')
  22. gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
  23. gnunet-namestore -p -z $MY_EGO -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
  24. gnunet-namestore -p -z delegatedego -a -n '@' -t A -V $TEST_IP -e never -c test_gns_lookup.conf
  25. RES_IP=`$DO_TIMEOUT gnunet-gns --raw -u b.$MY_EGO -t A -c test_gns_lookup.conf`
  26. gnunet-namestore -z $MY_EGO -d -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
  27. gnunet-namestore -z delegatedego -d -n '@' -t A -V $TEST_IP -e never -c test_gns_lookup.conf
  28. gnunet-arm -e -c test_gns_lookup.conf
  29. rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
  30. if [ "$RES_IP" = "$TEST_IP" ]
  31. then
  32. exit 0
  33. else
  34. echo "Failed to resolve to proper IP, got $RES_IP."
  35. exit 1
  36. fi